=== debian/changelog ===
pciutils (1:3.3.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix linking on non-linux architectures by cleaning link rules.
    (Closes: #815669)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Nov 2016 19:57:46 +0100

pciutils (1:3.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable libkmod support on linux architectures (Closes: #807043)
  * Enable udev hwdb support on linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Wed, 13 Jan 2016 20:18:06 +0100

pciutils (1:3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1
    Closes: #773165
  * Update pci.ids with version 2015.07.31
  * Merged upstream:
    05-674708-setpci.man.patch
    06-675087-update-pciids.man.patch
  * Refresh patches.
  * Debian policy version is 3.9.6
  * Make the build reproducible
    Patch by Reiner Herrmann
    Closes: #783144
  * Fix wrong option for modprobe in man page of pcimodules
    Patch by Maximiliano Curia
    Closes: #613626

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 11 Aug 2015 13:03:50 +0100
