=== debian/control ===
Source: pciutils
Section: admin
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Matt Taggart <taggart@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), zlib1g-dev, libkmod-dev [linux-any], libudev-dev (>= 196) [linux-any], pkg-config
Standards-Version: 3.9.6
Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml

Package: pciutils
Architecture: any
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}, libpci3 (= ${binary:Version})
Multi-Arch: foreign
Suggests: bzip2, wget | curl | lynx-cur
Description: Linux PCI Utilities
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus. 

Package: libpci-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${misc:Depends}, zlib1g-dev, libpci3 (= ${binary:Version}), libudev-dev (>= 196) [linux-any]
Conflicts: pciutils-dev
Provides: pciutils-dev
Replaces: pciutils-dev
Description: Linux PCI Utilities (development files)
 This package contains the <pci/pci.h>, <pci/config.h> and <pci/header.h>
 header files, as well as the /usr/lib/libpci.a library.

Package: libpci3
Section: libs
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Conflicts: libpci2
Provides: libpci2
Replaces: libpci2
Description: Linux PCI Utilities (shared library)
 This package contains the libpci shared library files.
 .
 The libpci library provides portable access to configuration
 registers of devices connected to the PCI bus.

Package: pciutils-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux PCI Utilities (udeb)
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus. 
 .
 This is a minimal version for use in debian-installer.

Package: libpci3-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux PCI Utilities (shared library)
 This package contains the libpci shared library files.
 .
 The libpci library provides portable access to configuration
 registers of devices connected to the PCI bus.
 .
 This is a minimal version for use in debian-installer.
