=== debian/changelog ===
pciutils (1:3.5.2-1ubuntu1.1) bionic; urgency=medium

  * d/p/08-update-2018-07-21-pciids.patch:
    - Update pci.ids to version 2018-07-21. (LP: #1815212)

 -- Eric <eric.desrochers@canonical.com>  Sun, 10 Feb 2019 18:25:12 +0000

pciutils (1:3.5.2-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Downloaded daily snapshot dated 2017-03-16 03:15:01 
    - debian/patches/lspci-Support-GEN4-speed-16GT-s.patch: Cherry-pick from
      upstream to support PCI gen4 cards in lspci.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 24 Apr 2017 11:35:32 -0700

pciutils (1:3.5.2-1) unstable; urgency=medium

  [ Anibal Monsalve Salazar ]
  * New upstream version 3.5.2
  * Update pci.ids with version 2016.11.21
  * Refresh patches
  * Standards-Version: 3.9.8

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: 834794)
    - export cross $PKG_CONFIG
    - export cross $HOST

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 30 Nov 2016 06:53:07 +0000

pciutils (1:3.3.1-1.1ubuntu9) zesty; urgency=medium

  * Downloaded daily snapshot dated 2017-03-16 03:15:01 

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 20 Mar 2017 10:47:24 -0600

pciutils (1:3.3.1-1.1ubuntu8) zesty; urgency=medium

  * debian/patches/lspci-Support-GEN4-speed-16GT-s.patch: Cherry-pick from
    upstream to support PCI gen4 cards in lspci.  Closes LP: #1665436.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 16 Feb 2017 14:12:21 -0800

pciutils (1:3.3.1-1.1ubuntu7) zesty; urgency=medium

  * Downloaded daily snapshot dated 2017-01-28 03:15:02 

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 01 Feb 2017 14:05:28 -0700

pciutils (1:3.3.1-1.1ubuntu6) zesty; urgency=medium

  * Downloaded daily snapshot dated 2017-01-08 03:15:02

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Jan 2017 06:23:19 -0700

pciutils (1:3.3.1-1.1ubuntu5) zesty; urgency=medium

  * Downloaded daily snapshot dated 2016-11-21 03:15:01

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 30 Nov 2016 13:55:25 -0700

pciutils (1:3.3.1-1.1ubuntu4) yakkety; urgency=medium

  * Downloaded daily snapshot dated 2016-09-28 03:15:02 

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 29 Sep 2016 08:46:20 -0600

pciutils (1:3.3.1-1.1ubuntu3) yakkety; urgency=medium

  * Downloaded daily snapshot dated 2016-09-05 03:15:02 

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 08 Sep 2016 07:51:26 -0600

pciutils (1:3.3.1-1.1ubuntu2) yakkety; urgency=medium

  * Downloaded daily snapshot dated 2016-05-02 03:15:02 

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 04 May 2016 11:17:13 -0600

pciutils (1:3.3.1-1.1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1541979).  Remaining changes:
    - Downloaded daily snapshot dated 2015-09-19 16:01:04 
    - Downloaded daily snapshot dated 2016-01-02 03:15:02

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 04 Feb 2016 17:54:40 +0000

pciutils (1:3.3.1-1ubuntu2) xenial; urgency=medium

  * Downloaded daily snapshot dated 2016-01-02 03:15:02

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 05 Jan 2016 06:55:59 -0700

pciutils (1:3.3.1-1ubuntu1) wily; urgency=medium

  * Downloaded daily snapshot dated 2015-09-19 16:01:04 

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 21 Sep 2015 09:40:15 -0600
