=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Matt Taggart <taggart@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), zlib1g-dev, libkmod-dev [linux-any], libudev-dev (>= 196) [linux-any], pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
 
 Package: pciutils
