=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,12 @@
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS=CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
+export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
+export HOST=$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS)
+CROSS=CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)- HOST=$(HOST)
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -63,12 +62,12 @@
 	install -m 644 lib/pci.h lib/header.h lib/config.h lib/types.h \
 			debian/libpci-dev/usr/include/pci/
 	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
-	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.3.1 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
+	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.5.2 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
 
 	# libpci3
 	mkdir -p debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
 	install -m 644 lib/libpci.so* debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
-	ln -s libpci.so.3.3.1 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
+	ln -s libpci.so.3.5.2 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
 
 	# pciutils-udeb
 	# Reduce by removing subsystem ids and comments.
@@ -77,7 +76,7 @@
 
 	# libpci3-udeb
 	install -m 644 lib/libpci.so* debian/libpci3-udeb/lib/
-	ln -s libpci.so.3.3.1 debian/libpci3-udeb/lib/libpci.so.3
+	ln -s libpci.so.3.5.2 debian/libpci3-udeb/lib/libpci.so.3
 
 	dh_installdocs
 	dh_installexamples example.c
@@ -87,7 +86,7 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a -V 'libpci3 (>= 1:3.3.1-1)' --add-udeb=libpci3-udeb
+	dh_makeshlibs -a -V 'libpci3 (>= 1:3.5.2-1)' --add-udeb=libpci3-udeb
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
