## pciutils 3.5.2.3

=== debian/changelog ===
pciutils (1:3.5.2.3-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: c974cea79119e374c6c52aafc7abc1a41c8b08aa']

 -- shuttle <shuttle@deepin.com>  Fri, 28 Feb 2020 15:17:14 +0000
