## pciutils 3.6.2

=== debian/changelog ===
pciutils (1:3.6.2-2) unstable; urgency=medium

  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Switch to Standards-Version 4.4.0.
  * Update pci.ids file to latest version 2019.06.30.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Jul 2019 00:15:14 +0200

pciutils (1:3.6.2-1) experimental; urgency=medium

  * New upstream release. Closes: #895425
    - Refresh patches.
    - Remove 03-pci.ids.patch, the pci.ids is now up-to-date.
  * Namespace debhelper fragment files with binary package name.
  * Update debian/control:
    - Remove obsolete dependencies on pciutils-dev and libpci2.
    - Remove duplicate or inflated Priority fields.
    - Line-wrap and sort fields.
    - Remove Build-Depends on dpkg-dev satisfied in oldstable.
    - Set Rules-Requires-Root to no.
    - Replace pathname for static library with just a reference to it in the
      packages description.
    - Switch to Standards-Version 4.3.0.
  * Switch to debhelper compatibility level 12.
  * Remove pcimodules program, superseded by «lspci -k».
    Closes: #599335, #893966
  * Remove trailing whitespace.
  * Update debian/rules:
    - Remove obsolete source and diff targets.
    - Do not set DH_VERBOSE by default.
    - Refactor all build system flags into a confflags variable.
    - Run debhelper commands for all packages.
    - Fix targets and dependencies.
    - Line wrap long rules command.
    - Enable hardening flags.
  * Install example.c in libpci-dev instead of pciutils.
  * Switch pciutils-udeb to link dynamically against libpci3-udeb.
  * Fix upstream build system to install the static library with install-lib.
  * Switch to use the upstream build system and debhelper fragment files to
    install the packaged files into their correct place:
    - Make the upstream build system install programs, header and libraries.
    - Move ad-hoc installation from debian/rules into debhelper install
      fragment files.
    - Remove unused debhelper dirs fragment files.
  * Reformat maintainer scripts.
    - Use two-space indentation.
    - Remove space in shebang.
    - Do not use old-style quotes.
  * Add new symbols file for the shared library.
  * Add a lintian override for shlib-calls-exit, as the library does call
    exit(3) by default, but makes it possible for the caller to setup a
    different error handler.
  * Fix typos in man pages.
  * Fix fortify compiler warnings.
  * Make the libpci-dev package Multi-Arch same. Closes: #721270
  * Add metadata to patch files.

 -- Guillem Jover <guillem@debian.org>  Wed, 10 Apr 2019 03:20:09 +0200

pciutils (1:3.5.2-5) unstable; urgency=medium

  * Modify the upstream build system to recognize GNU style system names.
    This way we can upstream these changes, and avoid unwieldy mappings.

 -- Guillem Jover <guillem@debian.org>  Tue, 09 Apr 2019 05:02:49 +0200

pciutils (1:3.5.2-4) unstable; urgency=medium

  * Use expected system name for HOST variable.
    - Switch to use DEB_HOST_GNU_SYSTEM instead of DEB_HOST_ARCH_OS.
      This fixes the build failure on GNU/Hurd.
    - Map GNU/k*BSD OS names to their non k-prefixed names.
      This fixes the build failure on GNU/kFreeBSD.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Apr 2019 02:31:08 +0200

pciutils (1:3.5.2-3) unstable; urgency=medium

  * Pass HOST as a make variable instead of through the environment as the
    Makefile sets a default empty value. This makes the build reproducible.

 -- Guillem Jover <guillem@debian.org>  Sun, 07 Apr 2019 20:47:46 +0200

pciutils (1:3.5.2-2) unstable; urgency=medium

  * Salvage package. Closes: #923799, #925097
    Thanks to the previous maintainers for all their past work.
  * Add Vcs-Browser and Vcs-Git fields.
  * Update Homepage field URL. Closes: #893965
  * Update debian/copyright:
    - Remove original packaging information, present in the changelog.
    - Stop claiming the Linux kernel uses GPL-2+. Closes: #688680
    - Switch to machine parseable format 1.0.
    - Update copyright statements.
  * Add upstream signing key.
  * Update debian/watch:
    - Switch to format version 4.
    - Switch to the main upstream site, which provides usable signatures.
    - Enable signature checks.
  * Improve package descriptions.
  * Use https in update-pciids. Closes: #805328
  * Update pci.ids file to latest version 2019.04.04.
  * Make build reproducible, by unconditionally setting HOST.
    Thanks to Chris Lamb <lamby@debian.org> for the initial investigation.
    Closes: #849968

 -- Guillem Jover <guillem@debian.org>  Fri, 05 Apr 2019 06:18:47 +0200
