=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sign/ \
ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/pciutils-([\d\.]+).tar.(?:xz|gz|bz2) debian uupdate
