=== debian/changelog ===
pciutils (1:3.6.4-1ubuntu0.20.04.1) focal; urgency=medium

  * Fix patch to ln -f (LP: #1915923)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 31 Mar 2021 15:55:11 -0700

pciutils (1:3.6.4-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Completely rewrite and simplify 04-update-pciids.sh.patch.
    - Remove 10-hurd-pci-arbiter.patch, merged upstream.
  * Do not ship empty /usr/share/misc directory in pciutils.
  * Switch to Standards-Version 4.5.0 (no changes needed).
  * Remove debian/TODO file.

 -- Guillem Jover <guillem@debian.org>  Sun, 26 Jan 2020 01:21:26 +0100

pciutils (1:3.6.2-6) unstable; urgency=medium

  * Move pci.ids dependency from pciutils to libpci3. The library is the
    one actually accessing the database.

 -- Guillem Jover <guillem@debian.org>  Tue, 03 Dec 2019 01:24:00 +0100

pciutils (1:3.6.2-5) unstable; urgency=medium

  * Restore assumption that pci.ids is installed uncompressed. This was
    introduced due to a confused reading of the udeb case which does
    compress it.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Nov 2019 23:33:44 +0100

pciutils (1:3.6.2-4) unstable; urgency=medium

  * Switch to use pci.ids package instead of embedded database:
    - Add a Build-Depends on pci.ids to inject the file into pciutils-udeb.
    - Add a Depends on pci.ids to pciutils instead of shipping it.
    - Remove patch updating the pci.ids.
    - Remove now unnecessary update-ids target from debian/rules.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Nov 2019 15:04:55 +0100

pciutils (1:3.6.2-3) unstable; urgency=medium

  * Update source download URL to current primary site (with https now).
  * Switch to Standards-Version 4.4.1 (no changes needed).
  * Merge GNU/Hurd patches from the ports archive to add support for the
    new PCI arbiter. Thanks to Joan Lledó <joanlluislledo@gmail.com>,
    Damien Zammit <damien@zamaudio.com> and
    Samuel Thibault <sthibault@debian.org>.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Nov 2019 14:20:17 +0100
