=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
+ pci.ids (>= 0.0~2019.11.10-2),
  pkg-config,
  libkmod-dev [linux-any],
  libudev-dev (>= 196) [linux-any],
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://mj.ucw.cz/sw/pciutils/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/pciutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/pciutils.git
@@ -51,6 +53,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ pci.ids (>= 0.0~2019.11.10-2),
 Description: PCI utilities (shared library)
  This package contains the libpci shared library files.
  .
