=== debian/changelog ===
pciutils (1:3.7.0-6) unstable; urgency=medium

  * Add support for the noudeb build profile. Closes: #983322
    Based on a patch by Matthias Klose <doko@debian.org>.

 -- Guillem Jover <guillem@debian.org>  Mon, 30 Aug 2021 04:45:58 +0200

pciutils (1:3.7.0-5) unstable; urgency=medium

  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Add new debian/upstream/metadata file.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 18:49:27 +0100

pciutils (1:3.7.0-4) unstable; urgency=medium

  * Remove fortify.patch unnecessary since 3.6.4 where this was fixed upstream
    in a different way.
  * Update patches meta-information:
    - Add Forwarded meta-fields.
    - Switch a literal Debian bug URL into a Bug-Debian meta-field.
  * Force update-pciids to generate a non-compressed pci.ids database.
    Closes: #970762

 -- Guillem Jover <guillem@debian.org>  Mon, 05 Oct 2020 01:42:19 +0200

pciutils (1:3.7.0-3) unstable; urgency=medium

  * Force the hardlink for the backup pci.ids database in update-pciids.
    Closes: #950812, #970762

 -- Guillem Jover <guillem@debian.org>  Wed, 23 Sep 2020 03:00:51 +0200

pciutils (1:3.7.0-2) unstable; urgency=medium

  * Fix build failure on Hurd, by taking a patch from upstream git.

 -- Guillem Jover <guillem@debian.org>  Sat, 27 Jun 2020 03:39:28 +0200

pciutils (1:3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 13.
    - Stop passing --add-udeb to dh_makeshlibs.
    - Stop passing ChangeLog to dh_installchangelogs.
  * Adapt to renamed lintian tag exit-in-shared-library.
  * Remove unneeded update-pciids.sh patched changes, due to the
    simplifications on the previous release.
  * Pass OPT to make via the conffiles environment variable instead of
    explicitly passing it prefixed to the command.
  * Do not build a static library anymore. This does not work on Linux
    systems anyway as libudev-dev does not provide a static library, and
    providing one for non-Linux systems would make handling this inconsistent
    in depending packages. In addition newer glibc generate a link-time
    warning on code using getpwuid() calls, requesting to use the dynamic
    library version.
  * Split the License text into its own License stanza in debian/copyright.
  * Add a superficial test case. Closes: #960441
    Based on a patch by Simon McVittie <smcv@collabora.com>.
  * Install pci.ids(5) in pciutils.
  * List /usr/share/misc/pci.ids.gz explicitly in pciutils-udeb.install
    so that dh_missing knows about it.
  * Switch to the dh sequencer.

 -- Guillem Jover <guillem@debian.org>  Tue, 16 Jun 2020 00:59:33 +0200
