=== debian/tests/control ===
Tests: test-libpci
Restrictions: allow-stderr superficial
Depends: build-essential, libpci-dev, pkg-config
