=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends:
  debhelper-compat (= 13),
  pci.ids (>= 0.0~2019.11.10-2) <!noudeb>,
