## pciutils 3.8.0

=== debian/changelog ===
pciutils (1:3.8.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove all patches, merged upstream.
    - Add new symbols to symbols file.
    - Replace upstream signing key, it had expired.
    - Do not ship current upstream tarball signatures, as these were made
      with the expired signing key. This was reported upstream when the
      release happened, but no new signatures have appeared yet.
    - Update copyright years.
  * Change Suggests from obsolete lynx-cur to lynx.
  * Switch to Standards-Version 4.6.1 (no changes needed).
  * Update lintian override to use new square bracket syntax.

 -- Guillem Jover <guillem@debian.org>  Sun, 17 Jul 2022 02:35:09 +0200
