=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  pci.ids (>= 0.0~2019.11.10-2) <!noudeb>,
@@ -10,7 +10,7 @@
  libudev-dev (>= 196) [linux-any],
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://mj.ucw.cz/sw/pciutils/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/pciutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/pciutils.git
@@ -25,7 +25,7 @@
  libpci3 (= ${binary:Version}),
 Suggests:
  bzip2,
- wget | curl | lynx-cur,
+ wget | curl | lynx,
 Description: PCI utilities
  This package contains various utilities for inspecting and setting of
  devices connected to the PCI bus.
